Author: Andreas Tille <tille@debian.org>
Last-Update: Mon, 23 Dec 2013 21:32:47 +0100
Description: Enable compiling with -Werror=format-security

--- a/src/bindings/ruby/local.i
+++ b/src/bindings/ruby/local.i
@@ -283,11 +283,11 @@ namespace std
   }
   catch (const SBMLConstructorException &e){
     static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-    rb_raise(cpperror, e.what());    
+    rb_raise(cpperror, "%s", e.what());    
   }
   catch (const SBMLExtensionException &e){
     static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-    rb_raise(cpperror, e.what());    
+    rb_raise(cpperror, "%s", e.what());    
   }
 }
 %enddef
@@ -366,7 +366,7 @@ SBMLCONSTRUCTOR_EXCEPTION(ListOfUnits)
   }
   catch (const XMLConstructorException &e){
     static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-    rb_raise(cpperror, e.what());    
+    rb_raise(cpperror, "%s", e.what());    
   }
 }
 %enddef
--- a/src/bindings/ruby/libsbml_wrap.cpp
+++ b/src/bindings/ruby/libsbml_wrap.cpp
@@ -3517,7 +3517,7 @@ SWIG_AsPtr_std_basic_string_Sl_char_Sg_
       }
     }
     if (val) {
-      rb_raise( rb_eTypeError, "a string is expected");
+      rb_raise( rb_eTypeError, "%s", "a string is expected");
     }
     return 0;
   }
@@ -4589,7 +4589,7 @@ SWIGINTERN VALUE std_basic_string_Sl_cha
       }
 SWIGINTERN std::basic_string< char,std::char_traits< char >,std::allocator< char > > *std_basic_string_Sl_char_Sg__each(std::basic_string< char > *self){
 	if ( !rb_block_given_p() )
-	  rb_raise( rb_eArgError, "no block given");
+	  rb_raise( rb_eArgError, "%s", "no block given");
 
 	VALUE r;
 	std::basic_string<char,std::char_traits< char >,std::allocator< char > >::const_iterator i = self->begin();
@@ -4604,7 +4604,7 @@ SWIGINTERN std::basic_string< char,std::
       }
 SWIGINTERN std::basic_string< char,std::char_traits< char >,std::allocator< char > > *std_basic_string_Sl_char_Sg__select(std::basic_string< char > *self){
       if ( !rb_block_given_p() )
-	rb_raise( rb_eArgError, "no block given" );
+	rb_raise( rb_eArgError, "%s", "no block given" );
 
       std::basic_string<char,std::char_traits< char >,std::allocator< char > >* r = new std::basic_string<char,std::char_traits< char >,std::allocator< char > >;
       std::basic_string<char,std::char_traits< char >,std::allocator< char > >::const_iterator i = self->begin();
@@ -4620,7 +4620,7 @@ SWIGINTERN std::basic_string< char,std::
     }
 SWIGINTERN std::basic_string< char,std::char_traits< char >,std::allocator< char > > *std_basic_string_Sl_char_Sg__reject_bang(std::basic_string< char > *self){
       if ( !rb_block_given_p() )
-	rb_raise( rb_eArgError, "no block given" );
+	rb_raise( rb_eArgError, "%s", "no block given" );
 
       std::basic_string<char,std::char_traits< char >,std::allocator< char > >::iterator i = self->begin();
       std::basic_string<char,std::char_traits< char >,std::allocator< char > >::iterator e = self->end();
@@ -4659,7 +4659,7 @@ SWIGINTERN std::basic_string< char >::va
     }
 SWIGINTERN std::basic_string< char,std::char_traits< char >,std::allocator< char > > *std_basic_string_Sl_char_Sg__reject(std::basic_string< char > *self){
       if ( !rb_block_given_p() )
-	rb_raise( rb_eArgError, "no block given" );
+	rb_raise( rb_eArgError, "%s", "no block given" );
 
       std::basic_string<char,std::char_traits< char >,std::allocator< char > >* r = new std::basic_string<char,std::char_traits< char >,std::allocator< char > >;
       std::remove_copy_if( self->begin(), self->end(),              
@@ -4705,7 +4705,7 @@ SWIGINTERN VALUE std_basic_string_Sl_cha
 SWIGINTERN VALUE std_basic_string_Sl_char_Sg____getitem____SWIG_2(std::basic_string< char > const *self,VALUE i){
       if ( rb_obj_is_kind_of( i, rb_cRange ) == Qfalse )
 	{
-	  rb_raise( rb_eTypeError, "not a valid index or range" );
+	  rb_raise( rb_eTypeError, "%s", "not a valid index or range" );
 	}
 
       VALUE r = Qnil;
@@ -19811,11 +19811,11 @@ _wrap_new_ListOf__SWIG_0(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -19848,11 +19848,11 @@ _wrap_new_ListOf__SWIG_1(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -19877,11 +19877,11 @@ _wrap_new_ListOf__SWIG_2(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -19914,11 +19914,11 @@ _wrap_new_ListOf__SWIG_3(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -19977,11 +19977,11 @@ _wrap_new_ListOf__SWIG_4(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -20944,11 +20944,11 @@ _wrap_new_Model__SWIG_0(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -20981,11 +20981,11 @@ _wrap_new_Model__SWIG_1(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -21044,11 +21044,11 @@ _wrap_new_Model__SWIG_2(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -29838,11 +29838,11 @@ _wrap_new_SBMLDocument__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -29875,11 +29875,11 @@ _wrap_new_SBMLDocument__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -29904,11 +29904,11 @@ _wrap_new_SBMLDocument__SWIG_2(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -29941,11 +29941,11 @@ _wrap_new_SBMLDocument__SWIG_3(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -30004,11 +30004,11 @@ _wrap_new_SBMLDocument__SWIG_4(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -32257,11 +32257,11 @@ _wrap_new_FunctionDefinition__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -32294,11 +32294,11 @@ _wrap_new_FunctionDefinition__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -32357,11 +32357,11 @@ _wrap_new_FunctionDefinition__SWIG_2(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -33162,11 +33162,11 @@ _wrap_new_ListOfFunctionDefinitions__SWI
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -33216,11 +33216,11 @@ _wrap_new_ListOfFunctionDefinitions__SWI
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -33886,11 +33886,11 @@ _wrap_new_Unit__SWIG_0(int argc, VALUE *
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -33923,11 +33923,11 @@ _wrap_new_Unit__SWIG_1(int argc, VALUE *
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -33986,11 +33986,11 @@ _wrap_new_Unit__SWIG_2(int argc, VALUE *
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -35740,11 +35740,11 @@ _wrap_new_ListOfUnits__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -35794,11 +35794,11 @@ _wrap_new_ListOfUnits__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -36144,11 +36144,11 @@ _wrap_new_UnitDefinition__SWIG_0(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -36181,11 +36181,11 @@ _wrap_new_UnitDefinition__SWIG_1(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -36244,11 +36244,11 @@ _wrap_new_UnitDefinition__SWIG_2(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -37593,11 +37593,11 @@ _wrap_new_ListOfUnitDefinitions__SWIG_0(
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -37647,11 +37647,11 @@ _wrap_new_ListOfUnitDefinitions__SWIG_1(
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -38227,11 +38227,11 @@ _wrap_new_CompartmentType__SWIG_0(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -38264,11 +38264,11 @@ _wrap_new_CompartmentType__SWIG_1(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -38327,11 +38327,11 @@ _wrap_new_CompartmentType__SWIG_2(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -38732,11 +38732,11 @@ _wrap_new_ListOfCompartmentTypes__SWIG_0
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -38786,11 +38786,11 @@ _wrap_new_ListOfCompartmentTypes__SWIG_1
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -39330,11 +39330,11 @@ _wrap_new_SpeciesType__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -39367,11 +39367,11 @@ _wrap_new_SpeciesType__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -39430,11 +39430,11 @@ _wrap_new_SpeciesType__SWIG_2(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -39835,11 +39835,11 @@ _wrap_new_ListOfSpeciesTypes__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -39889,11 +39889,11 @@ _wrap_new_ListOfSpeciesTypes__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -40433,11 +40433,11 @@ _wrap_new_Compartment__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -40470,11 +40470,11 @@ _wrap_new_Compartment__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -40533,11 +40533,11 @@ _wrap_new_Compartment__SWIG_2(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -41960,11 +41960,11 @@ _wrap_new_ListOfCompartments__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -42014,11 +42014,11 @@ _wrap_new_ListOfCompartments__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -42558,11 +42558,11 @@ _wrap_new_Species__SWIG_0(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -42595,11 +42595,11 @@ _wrap_new_Species__SWIG_1(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -42658,11 +42658,11 @@ _wrap_new_Species__SWIG_2(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -44447,11 +44447,11 @@ _wrap_new_ListOfSpecies__SWIG_0(int argc
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -44501,11 +44501,11 @@ _wrap_new_ListOfSpecies__SWIG_1(int argc
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -45045,11 +45045,11 @@ _wrap_new_Parameter__SWIG_0(int argc, VA
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -45082,11 +45082,11 @@ _wrap_new_Parameter__SWIG_1(int argc, VA
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -45145,11 +45145,11 @@ _wrap_new_Parameter__SWIG_2(int argc, VA
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -45994,11 +45994,11 @@ _wrap_new_ListOfParameters__SWIG_0(int a
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -46048,11 +46048,11 @@ _wrap_new_ListOfParameters__SWIG_1(int a
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -46592,11 +46592,11 @@ _wrap_new_LocalParameter__SWIG_0(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -46629,11 +46629,11 @@ _wrap_new_LocalParameter__SWIG_1(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -46675,11 +46675,11 @@ _wrap_new_LocalParameter__SWIG_2(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -46732,11 +46732,11 @@ _wrap_new_LocalParameter__SWIG_3(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -47036,11 +47036,11 @@ _wrap_new_ListOfLocalParameters__SWIG_0(
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -47090,11 +47090,11 @@ _wrap_new_ListOfLocalParameters__SWIG_1(
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -47670,11 +47670,11 @@ _wrap_new_InitialAssignment__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -47707,11 +47707,11 @@ _wrap_new_InitialAssignment__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -47770,11 +47770,11 @@ _wrap_new_InitialAssignment__SWIG_2(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -48580,11 +48580,11 @@ _wrap_new_ListOfInitialAssignments__SWIG
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -48634,11 +48634,11 @@ _wrap_new_ListOfInitialAssignments__SWIG
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -50423,11 +50423,11 @@ _wrap_new_ListOfRules__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -50477,11 +50477,11 @@ _wrap_new_ListOfRules__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51069,11 +51069,11 @@ _wrap_new_AlgebraicRule__SWIG_0(int argc
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51123,11 +51123,11 @@ _wrap_new_AlgebraicRule__SWIG_1(int argc
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51278,11 +51278,11 @@ _wrap_new_AssignmentRule__SWIG_0(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51332,11 +51332,11 @@ _wrap_new_AssignmentRule__SWIG_1(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51528,11 +51528,11 @@ _wrap_new_RateRule__SWIG_0(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51582,11 +51582,11 @@ _wrap_new_RateRule__SWIG_1(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51778,11 +51778,11 @@ _wrap_new_Constraint__SWIG_0(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51815,11 +51815,11 @@ _wrap_new_Constraint__SWIG_1(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -51878,11 +51878,11 @@ _wrap_new_Constraint__SWIG_2(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -52419,11 +52419,11 @@ _wrap_new_ListOfConstraints__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -52473,11 +52473,11 @@ _wrap_new_ListOfConstraints__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -52823,11 +52823,11 @@ _wrap_new_Reaction__SWIG_0(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -52860,11 +52860,11 @@ _wrap_new_Reaction__SWIG_1(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -52923,11 +52923,11 @@ _wrap_new_Reaction__SWIG_2(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -55552,11 +55552,11 @@ _wrap_new_ListOfReactions__SWIG_0(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -55606,11 +55606,11 @@ _wrap_new_ListOfReactions__SWIG_1(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -56150,11 +56150,11 @@ _wrap_new_KineticLaw__SWIG_0(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -56187,11 +56187,11 @@ _wrap_new_KineticLaw__SWIG_1(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -56250,11 +56250,11 @@ _wrap_new_KineticLaw__SWIG_2(int argc, V
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -58832,11 +58832,11 @@ _wrap_new_SpeciesReference__SWIG_0(int a
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -58869,11 +58869,11 @@ _wrap_new_SpeciesReference__SWIG_1(int a
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -58932,11 +58932,11 @@ _wrap_new_SpeciesReference__SWIG_2(int a
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -59829,11 +59829,11 @@ _wrap_new_ListOfSpeciesReferences__SWIG_
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -59883,11 +59883,11 @@ _wrap_new_ListOfSpeciesReferences__SWIG_
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -60439,11 +60439,11 @@ _wrap_new_ModifierSpeciesReference__SWIG
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -60493,11 +60493,11 @@ _wrap_new_ModifierSpeciesReference__SWIG
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -60696,11 +60696,11 @@ _wrap_new_Event__SWIG_0(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -60733,11 +60733,11 @@ _wrap_new_Event__SWIG_1(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -60796,11 +60796,11 @@ _wrap_new_Event__SWIG_2(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -62673,11 +62673,11 @@ _wrap_new_ListOfEvents__SWIG_0(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -62727,11 +62727,11 @@ _wrap_new_ListOfEvents__SWIG_1(int argc,
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -63271,11 +63271,11 @@ _wrap_new_EventAssignment__SWIG_0(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -63308,11 +63308,11 @@ _wrap_new_EventAssignment__SWIG_1(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -63371,11 +63371,11 @@ _wrap_new_EventAssignment__SWIG_2(int ar
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -64181,11 +64181,11 @@ _wrap_new_ListOfEventAssignments__SWIG_0
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -64235,11 +64235,11 @@ _wrap_new_ListOfEventAssignments__SWIG_1
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -64815,11 +64815,11 @@ _wrap_new_Trigger__SWIG_0(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -64852,11 +64852,11 @@ _wrap_new_Trigger__SWIG_1(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -64915,11 +64915,11 @@ _wrap_new_Trigger__SWIG_2(int argc, VALU
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -65536,11 +65536,11 @@ _wrap_new_Delay__SWIG_0(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -65573,11 +65573,11 @@ _wrap_new_Delay__SWIG_1(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -65636,11 +65636,11 @@ _wrap_new_Delay__SWIG_2(int argc, VALUE
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -66247,11 +66247,11 @@ _wrap_new_Priority__SWIG_0(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -66284,11 +66284,11 @@ _wrap_new_Priority__SWIG_1(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -66347,11 +66347,11 @@ _wrap_new_Priority__SWIG_2(int argc, VAL
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -67893,11 +67893,11 @@ _wrap_new_StoichiometryMath__SWIG_0(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -67930,11 +67930,11 @@ _wrap_new_StoichiometryMath__SWIG_1(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -67993,11 +67993,11 @@ _wrap_new_StoichiometryMath__SWIG_2(int
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -68604,11 +68604,11 @@ _wrap_new_SBMLNamespaces__SWIG_0(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -68641,11 +68641,11 @@ _wrap_new_SBMLNamespaces__SWIG_1(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -68670,11 +68670,11 @@ _wrap_new_SBMLNamespaces__SWIG_2(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -68749,11 +68749,11 @@ _wrap_new_SBMLNamespaces__SWIG_3(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res3)) delete arg3;
@@ -68819,11 +68819,11 @@ _wrap_new_SBMLNamespaces__SWIG_4(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res3)) delete arg3;
@@ -68884,11 +68884,11 @@ _wrap_new_SBMLNamespaces__SWIG_5(int arg
     }
     catch (const SBMLConstructorException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
     catch (const SBMLExtensionException &e){
       static VALUE cpperror = rb_define_class("SBMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -80352,7 +80352,7 @@ _wrap_new_XMLAttributes__SWIG_0(int argc
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -80411,7 +80411,7 @@ _wrap_new_XMLAttributes__SWIG_1(int argc
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -82119,7 +82119,7 @@ _wrap_new_XMLNamespaces__SWIG_0(int argc
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -82178,7 +82178,7 @@ _wrap_new_XMLNamespaces__SWIG_1(int argc
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83147,7 +83147,7 @@ _wrap_new_XMLToken__SWIG_0(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83221,7 +83221,7 @@ _wrap_new_XMLToken__SWIG_1(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83287,7 +83287,7 @@ _wrap_new_XMLToken__SWIG_2(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83345,7 +83345,7 @@ _wrap_new_XMLToken__SWIG_3(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83408,7 +83408,7 @@ _wrap_new_XMLToken__SWIG_4(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83463,7 +83463,7 @@ _wrap_new_XMLToken__SWIG_5(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83510,7 +83510,7 @@ _wrap_new_XMLToken__SWIG_6(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83562,7 +83562,7 @@ _wrap_new_XMLToken__SWIG_7(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83606,7 +83606,7 @@ _wrap_new_XMLToken__SWIG_8(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83642,7 +83642,7 @@ _wrap_new_XMLToken__SWIG_9(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -83696,7 +83696,7 @@ _wrap_new_XMLToken__SWIG_10(int argc, VA
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -83744,7 +83744,7 @@ _wrap_new_XMLToken__SWIG_11(int argc, VA
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -83784,7 +83784,7 @@ _wrap_new_XMLToken__SWIG_12(int argc, VA
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -83845,7 +83845,7 @@ _wrap_new_XMLToken__SWIG_13(int argc, VA
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87029,7 +87029,7 @@ _wrap_new_XMLNode__SWIG_0(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87065,7 +87065,7 @@ _wrap_new_XMLNode__SWIG_1(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87139,7 +87139,7 @@ _wrap_new_XMLNode__SWIG_2(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87205,7 +87205,7 @@ _wrap_new_XMLNode__SWIG_3(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87263,7 +87263,7 @@ _wrap_new_XMLNode__SWIG_4(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87326,7 +87326,7 @@ _wrap_new_XMLNode__SWIG_5(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87381,7 +87381,7 @@ _wrap_new_XMLNode__SWIG_6(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87428,7 +87428,7 @@ _wrap_new_XMLNode__SWIG_7(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87480,7 +87480,7 @@ _wrap_new_XMLNode__SWIG_8(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87524,7 +87524,7 @@ _wrap_new_XMLNode__SWIG_9(int argc, VALU
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87560,7 +87560,7 @@ _wrap_new_XMLNode__SWIG_10(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87614,7 +87614,7 @@ _wrap_new_XMLNode__SWIG_11(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -87662,7 +87662,7 @@ _wrap_new_XMLNode__SWIG_12(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -87702,7 +87702,7 @@ _wrap_new_XMLNode__SWIG_13(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res1)) delete arg1;
@@ -87740,7 +87740,7 @@ _wrap_new_XMLNode__SWIG_14(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -87799,7 +87799,7 @@ _wrap_new_XMLNode__SWIG_15(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -89382,7 +89382,7 @@ _wrap_new_XMLOutputStream__SWIG_0(int ar
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -89458,7 +89458,7 @@ _wrap_new_XMLOutputStream__SWIG_1(int ar
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -89519,7 +89519,7 @@ _wrap_new_XMLOutputStream__SWIG_2(int ar
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -89570,7 +89570,7 @@ _wrap_new_XMLOutputStream__SWIG_3(int ar
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -89625,7 +89625,7 @@ _wrap_new_XMLOutputStream__SWIG_4(int ar
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -92695,7 +92695,7 @@ _wrap_new_XMLError__SWIG_0(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -92767,7 +92767,7 @@ _wrap_new_XMLError__SWIG_1(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -92831,7 +92831,7 @@ _wrap_new_XMLError__SWIG_2(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -92887,7 +92887,7 @@ _wrap_new_XMLError__SWIG_3(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -92935,7 +92935,7 @@ _wrap_new_XMLError__SWIG_4(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   if (SWIG_IsNewObj(res2)) delete arg2;
@@ -92970,7 +92970,7 @@ _wrap_new_XMLError__SWIG_5(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -92995,7 +92995,7 @@ _wrap_new_XMLError__SWIG_6(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
@@ -93048,7 +93048,7 @@ _wrap_new_XMLError__SWIG_7(int argc, VAL
     }
     catch (const XMLConstructorException &e){
       static VALUE cpperror = rb_define_class("XMLConstructorException", rb_eArgError);
-      rb_raise(cpperror, e.what());    
+      rb_raise(cpperror, "%s", e.what());    
     }
   }
   return self;
